Multiple vulnerabilities in IBM Engineering Workflow Management and Rational Team Concert



Published: 2023-01-25
Risk Medium
Patch available YES
Number of vulnerabilities 2
CVE-ID CVE-2022-3509
CVE-2022-3171
CWE-ID CWE-20
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Engineering Workflow Management
Server applications / Other server solutions

IBM Rational Team Concert
Server applications / Other server solutions

Vendor IBM Corporation

Security Bulletin

This security bulletin contains information about 2 vulnerabilities.

1) Input validation error

EUVDB-ID: #VU69670

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-3509

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to insufficient validation of user-supplied input when parsing textformat data. A remote attacker can pass specially crafted input to the application and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Engineering Workflow Management: All versions

IBM Rational Team Concert: All versions


CPE2.3 External links

http://www.ibm.com/support/pages/node/6857569

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Input validation error

EUVDB-ID: #VU69293

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-3171

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to insufficient validation of user-supplied input containing multiple instances of non-repeated embedded messages with repeated or unknown fields. A remote attacker can cause objects to be converted back-n-forth between mutable and immutable forms, resulting in potentially long garbage collection pauses.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Engineering Workflow Management: All versions

IBM Rational Team Concert: All versions


CPE2.3 External links

http://www.ibm.com/support/pages/node/6857569

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###